package com.leanwo.activiti.delegate.base;

import javax.inject.Named;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;




@Named
public class UnqualifiedDesignerUserIdService implements TaskListener {
	private static Logger logger = LoggerFactory.getLogger(UnqualifiedDesignerUserIdService.class);
	
	private static final String DESIGNER_USER_ID = "designerUserId";
	

	@Override
	public void notify(DelegateTask delegateTask) {
		delegateTask.removeVariable(DESIGNER_USER_ID);
	}
}
